name: roomfit_firmware
description: Roomfit MCU firmware update — IAP state machine, YModem-CRC16 transfer, and firmware integrity verification. Pure Dart package with zero Flutter dependency.
version: 0.1.0
publish_to: none

environment:
  sdk: ^3.10.0

resolution: workspace

dependencies:
  meta: ^1.12.0
  crypto: ^3.0.5
  roomfit_protocol:
    path: ../roomfit_protocol

dev_dependencies:
  test: ^1.25.0
  lints: ^6.0.0
